
singleton Material(tireTrack)
{
    mapTo = "unmapped_mat";
    diffuseMap[0] = "art/decals/tiremark.png";
    vertColor[ 0 ] = true;
    materialTag2 = "beamng";
    materialTag0 = "decal";
    diffuseColor[0] = "1 1 1 0.199";
    emissive[0] = "1";
    translucent = "1";
    alphaRef = "1";
    castShadows = "0";
    translucentZWrite = "1";
    showFootprints = "0";
    specularPower[0] = "1";
};

singleton Material(eca_bld_woodcladding_01_bare_mat)
{
    mapTo = "eca_bld_woodcladding_01_bare";
    diffuseMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_woodcladding_01_bare_d.dds";
    materialTag0 = "beamng";
    materialTag1 = "building";
    materialTag2 = "east_coast_usa";
    normalMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_woodcladding_01_n.dds";
    specularMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_woodcladding_01_s.dds";
    detailMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_grungewood_b.dds";
    detailScale[0] = "0.1 0.1";
};

singleton Material(eca_bld_brick_brown_mat)
{
    mapTo = "eca_bld_brick_brown";
    diffuseMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_brick_01_brown_d.dds";
    detailMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_grungewood_b.dds";
    detailScale[0] = "0.1 0.1";
    normalMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_brick_01_n.dds";
    specularMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_brick_01_s.dds";
    materialTag0 = "beamng";
    materialTag1 = "building";
    materialTag2 = "east_coast_usa";
};

singleton Material(DefaultMaterial2)
{
   mapTo = "usa_roadsigns_turn_warning";
   specularStrength0 = "0.588235";
   materialTag2 = "east_coast_usa";
   materialTag1 = "building";
   materialTag0 = "beamng";
   specularStrength1 = "0.980392";
};

new CubemapData(CloudyCubemap)
{
   cubeFace[0] = "levels/mount_glorious/art/skies/BNG_Sky_02/cubemap/cloudy_1.png";
   cubeFace[1] = "levels/mount_glorious/art/skies/BNG_Sky_02/cubemap/cloudy_2.png";
   cubeFace[2] = "levels/mount_glorious/art/skies/BNG_Sky_02/cubemap/cloudy_3.png";
   cubeFace[3] = "levels/mount_glorious/art/skies/BNG_Sky_02/cubemap/cloudy_4.png";
   cubeFace[4] = "levels/mount_glorious/art/skies/BNG_Sky_02/cubemap/cloudy_5.png";
   cubeFace[5] = "levels/mount_glorious/art/skies/BNG_Sky_02/cubemap/cloudy_6.png";
};

new CubemapData(cubemap_forest)
{
   cubeFace[0] = "levels/driver_training/art/skies/BNG_Sky_02/cubemap/cubemap_forest0001.png";
   cubeFace[1] = "levels/driver_training/art/skies/BNG_Sky_02/cubemap/cubemap_forest0002.png";
   cubeFace[2] = "levels/driver_training/art/skies/BNG_Sky_02/cubemap/cubemap_forest0003.png";
   cubeFace[3] = "levels/driver_training/art/skies/BNG_Sky_02/cubemap/cubemap_forest0004.png";
   cubeFace[4] = "levels/driver_training/art/skies/BNG_Sky_02/cubemap/cubemap_forest0005.png";
   cubeFace[5] = "levels/driver_training/art/skies/BNG_Sky_02/cubemap/cubemap_forest0006.png";
};

singleton Material(DefaultMaterial32)
{
   mapTo = "portal";
   colorMap[0] = "levels/smallgridspace/art/shapes/portal.jpg";
   animFlags[0] = "0x00000009";
   scrollDir[0] = "1 0";
   scrollSpeed[0] = "0.200000003";
   rotSpeed[0] = "0.100000001";
   rotPivotOffset[0] = "1 -1";
   waveFreq[0] = "0.5";
   waveAmp[0] = "0.0939999968";
   sequenceSegmentSize[0] = "-4.6566101e-10";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   glow[0] = "1";
};

singleton Material(DefaultMaterial6)
{
   mapTo = "diamond";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/medals/diamond.jpg";
   emissive[0] = "1";
};

singleton Material(DefaultMaterial5)
{
   mapTo = "platinum";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/medals/platinum.jpg";
   emissive[0] = "1";
};

singleton Material(DefaultMaterial4)
{
   mapTo = "gold";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/medals/gold.jpg";
   emissive[0] = "1";
};

singleton Material(DefaultMaterial)
{
   mapTo = "silver";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/medals/silver.jpg";
   emissive[0] = "1";
};

singleton Material(DefaultMaterial7)
{
   mapTo = "bronze";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/medals/bronze.jpg";
   emissive[0] = "1";
};
