--Best = 200

local M = {}

local scoreLand = 0
local scoreFinal = 0
local scoreRest = 0
local scenarioTime = 0
local scenarioTimeOut = 0
local distance = 0
local file = require('scenario/cargames/fileHandler')

------
-- local start = false
-- local ghostData = {}
-- local i = 1

local function success(score)
	local medal, nextMedal
	if score < 100 then 
		medal = 'None'
		nextMedal = 'Bronze(100)'
	elseif score >= 100 and score < 150 then 
		medal = 'Bronze'
		nextMedal = 'Silver(150)'
	elseif score >= 150 and score < 160 then 
		medal = 'Silver'
		nextMedal = 'Gold(160)'
	elseif score >= 160 and score < 170 then 
		medal = 'Gold'
		nextMedal = 'Platinum(170)'
	elseif score >= 170 and score < 180 then 
		medal = 'Platinum'
		nextMedal = 'Diamond(180)'
	elseif score >= 180 then 
		medal = 'Diamond'
		nextMedal = 'n/a'
	else
		medal = 'Broken'
		nextMedal = 'Also Broken'
	end
	
	local extra = ''
	if score == 200 then 
		extra = 'Trophy unlocked for a perfect score!'
		file.setValueToSave(2, 1, 2)
	end
	
	file.setValueToSave(1, file.getMedalAsNumber(medal), 1)
	
	-- local test = io.open('cargames_ghost.txt', 'w')
	-- for key, value in pairs(ghostData) do
		-- test:write(value[1], ' ', value[2], ' ', value[3], '\n')
		-- test:write(value[4], ' ', value[5], ' ', value[6], ' ', value[7], '\n')
	-- end
	
    local result = {msg = 'Well Done! Your Score: '..score..' | You Achieved: '..medal..' | Next Medal: '..nextMedal..' '..extra..''}
	scenario_scenarios.finish(result)
end

local function finish()
	scoreRest = 100-math.abs(distance)
	scoreFinal = math.max(0, scoreLand+scoreRest)
	success(scoreFinal)
end

local function onRaceTick(raceTickTime)
	local scenario_playerObject = scenetree.findObject('scenario_player')
	scenarioTimeOut = scenarioTimeOut+raceTickTime
	
	if scenarioTimeOut >= 35 then finish() end
	
	if scoreLand == 0 then
		if scenario_playerObject:getPosition().z <= 5 then 
			scoreLand = 100-math.floor(math.sqrt(math.pow(scenario_playerObject:getPosition().x+564, 2) + math.pow(scenario_playerObject:getPosition().y+683.6, 2), math.pow(scenario_playerObject:getPosition().z+0.01, 2))) 
		end
	else
		local scenario_playerData = map.objects[map.objectNames['scenario_player']]
		scenarioTime = scenarioTime+raceTickTime
		if scenarioTime >= 8 or scenario_playerData.vel:length() <= 0.025 then
			finish()
		else
			distance = math.floor(math.sqrt(math.pow(scenario_playerObject:getPosition().x+564, 2) + math.pow(scenario_playerObject:getPosition().y+683.6, 2), math.pow(scenario_playerObject:getPosition().z+0.01, 2)))
		end
	end
end

------

-- local function loadGhost()
	-- file = io.open('cargames_ghost.txt', 'r')
	-- for line in file:lines() do
		-- table.insert(ghostData, line)
	-- end
-- end

-- local function showGhost()
	-- TorqueScript.eval([[
		-- ghost.position = "]]..ghostData[i]..[[";
		-- ghost.rotation = "]]..ghostData[i+1]..[[";
	-- ]])
	
	-- i = i+2
-- end

-- local function onRaceStart()
	-- start = true
	-- loadGhost()
-- end

-- local function onPreRender(dt)
	-- if start then
		-- showGhost()
		-- table.insert(ghostData, {
									-- scenetree.findObject('scenario_player'):getPosition().x,
									-- scenetree.findObject('scenario_player'):getPosition().y,
									-- scenetree.findObject('scenario_player'):getPosition().z
								-- }
		-- )
	-- end
-- end

-- M.onPreRender = onPreRender
-- M.onRaceStart = onRaceStart

M.onRaceTick = onRaceTick
return M