singleton Material(scoreboard_darts_orange)
{
   mapTo = "orange";
   colorMap[0] = "orange";
   translucentBlendOp = "None";
};

singleton Material(DefaultMaterial4)
{
   mapTo = "moon";
   colorMap[0] = "levels/smallgridspace/art/shapes/moon.png";
   emissive[0] = "1";
   translucentZWrite = "1";
   alphaRef = "20";
};

singleton Material(DefaultMaterial5)
{
   mapTo = "planetB";
   colorMap[0] = "levels/smallgridspace/art/shapes/planetB.png";
};

singleton Material(DefaultMaterial48)
{
   mapTo = "platinum";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/medals/platinum.jpg";
   emissive[0] = "1";
};

singleton Material(DefaultMaterial32)
{
   mapTo = "gold";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/medals/gold.jpg";
   emissive[0] = "1";
};

singleton Material(DefaultMaterial8)
{
   mapTo = "silver";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/medals/silver.jpg";
   emissive[0] = "1";
};

singleton Material(DefaultMaterial49)
{
   mapTo = "bronze";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/medals/bronze.jpg";
   emissive[0] = "1";
};

singleton Material(scoreboard_darts_yellow)
{
   mapTo = "yellow";
   colorMap[0] = "yellow";
   translucentBlendOp = "None";
};

singleton Material(scoreboard_darts_greendark)
{
   mapTo = "greendark";
   colorMap[0] = "greendark";
   translucentBlendOp = "None";
};

singleton Material(scoreboard_darts_greenlight)
{
   mapTo = "greenlight";
   colorMap[0] = "greenlight";
   translucentBlendOp = "None";
};

singleton Material(scoreboard_darts_red)
{
   mapTo = "red";
   colorMap[0] = "red";
   translucentBlendOp = "None";
};


singleton Material(grid_space)
{
   mapTo = "distance_space";
   colorMap[0] = "levels/smallgridspace/art/shapes/distance_space.dds";
   specular[0] = "0.00784313772 0.00784313772 0.00784313772 1.47899997";
   specularPower[0] = "1";
   glow[0] = "1";
   emissive[0] = "1";
   translucent = "1";
   translucentZWrite = "1";
};




singleton Material(distanceSpaceGrid_mat)
{
   mapTo = "distanceSpaceGrid";
   colorMap[0] = "levels/smallgridspace/art/shapes/distance_space.dds";
   specularPower[0] = "1";
   translucent = "1";
};


singleton Material(Diamond_Box_mat)
{
   mapTo = "Diamond_Box";
   colorMap[0] = "levels/smallgridspace/art/shapes/circuitBoard.png";
   materialTag0 = "Skies";
};


singleton Material(portalPlatform)
{
   mapTo = "glass";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/realms/glass.dds";
   specular[0] = "0.00784313772 0.00784313772 0.00784313772 1.47899997";
   specularPower[0] = "1";
   glow[0] = "1";
   emissive[0] = "1";
   translucent = "1";
   translucentZWrite = "1";
};

singleton Material(teleporter_portal)
{
   mapTo = "portal";
   colorMap[0] = "levels/smallgridspace/art/shapes/portal.jpg";
   glow[0] = "1";
   animFlags[0] = "0x00000001";
   scrollDir[0] = "1 0";
   scrollSpeed[0] = "0.100000001";
   materialTag0 = "Miscellaneous";
};

singleton Material(portal_glass)
{
   mapTo = "glass";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/realms/glass.dds";
   materialTag0 = "Miscellaneous";
   doubleSided = "1";
   translucent = "1";
   alphaRef = "0";
};



singleton Material(DefaultMaterial19)
{
   mapTo = "accDisc";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/realms/accDisc.png";
   translucentZWrite = "1";
   alphaRef = "20";
};

singleton Material(trophy_blackhole)
{
   mapTo = "accretion_disc";
   colorMap[0] = "levels/smallgrid/art/shapes/cargames/trophyroom/trophys/accretion_disc.png";
   emissive[0] = "1";
   animFlags[0] = "0x00000002";
   rotPivotOffset[0] = "-0.5 -0.5";
   translucentZWrite = "1";
   alphaRef = "20";
   rotSpeed[0] = "2";
   scrollDir[0] = "0.103 0.207000002";
   scrollSpeed[0] = "1";
};

singleton Material(redGlass_mat)
{
   mapTo = "unmapped_mat";
   colorMap[0] = "/levels/smallgridspace/art/shapes/redGlass";
   materialTag0 = "Miscellaneous";
};

singleton Material(novaGas)
{
   mapTo = "redGlass";
   diffuseColor[0] = "0.988235354 0.988235354 0.988235354 2";
   colorMap[0] = "levels/smallgridspace/art/shapes/novaGas.dds";
   specular[0] = "1 0.360784322 0 0.00800000038";
   specularPower[0] = "1";
   glow[0] = "1";
   emissive[0] = "1";
   doubleSided = "1";
   waveFreq[0] = "10";
   waveAmp[0] = "1";
   translucent = "1";
   translucentZWrite = "1";
   alphaRef = "107";
   beamngDiffuseColorSlot = "2";
   materialTag0 = "Miscellaneous";
};
